# Stackdriver Logging API service configuration

type: google.api.Service
config_version: 2
name: logging.googleapis.com
title: Stackdriver Logging API

apis:
- name: google.logging.v2.LoggingServiceV2
- name: google.logging.v2.ConfigServiceV2
- name: google.logging.v2.MetricsServiceV2

documentation:
  summary:
    The Stackdriver Logging API lets you write log
    entries and manage your logs, log sinks and logs-based metrics.
  overview: |
    (== suppress_warning versioning-http-version-prefix ==)

# Auth section
authentication:
  rules:
  - selector: |-
      google.logging.v1.LoggingService.DeleteLog,
      google.logging.v1.ConfigService.CreateLogServiceSink,
      google.logging.v1.ConfigService.CreateLogSink,
      google.logging.v1.ConfigService.CreateSink,
      google.logging.v1.ConfigService.DeleteLogServiceSink,
      google.logging.v1.ConfigService.DeleteLogSink,
      google.logging.v1.ConfigService.DeleteSink,
      google.logging.v1.ConfigService.UpdateLogServiceSink,
      google.logging.v1.ConfigService.UpdateLogSink,
      google.logging.v1.ConfigService.UpdateSink,
      google.logging.v2.LoggingServiceV2.DeleteLog,
      google.logging.v2.ConfigServiceV2.CreateSink,
      google.logging.v2.ConfigServiceV2.DeleteSink,
      google.logging.v2.ConfigServiceV2.UpdateSink,
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/logging.admin,
        https://www.googleapis.com/auth/cloud-platform
  - selector: |-
      google.logging.v1.LoggingService.ListLogEntries,
      google.logging.v1.LoggingService.ListLogServiceIndexes,
      google.logging.v1.LoggingService.ListLogServices,
      google.logging.v1.LoggingService.ListLogs,
      google.logging.v1.ConfigService.GetLogServiceSink,
      google.logging.v1.ConfigService.GetLogSink,
      google.logging.v1.ConfigService.GetSink,
      google.logging.v1.ConfigService.ListLogServiceSinks,
      google.logging.v1.ConfigService.ListLogSinks,
      google.logging.v1.ConfigService.ListSinks,
      google.logging.v1.MetricsService.GetLogMetric,
      google.logging.v1.MetricsService.ListLogMetrics,
      google.logging.v2.LoggingServiceV2.ListLogEntries,
      google.logging.v2.LoggingServiceV2.ListMonitoredResourceDescriptors,
      google.logging.v2.ConfigServiceV2.GetSink,
      google.logging.v2.ConfigServiceV2.ListSinks,
      google.logging.v2.MetricsServiceV2.GetLogMetric,
      google.logging.v2.MetricsServiceV2.ListLogMetrics
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/logging.read,
        https://www.googleapis.com/auth/logging.admin,
        https://www.googleapis.com/auth/cloud-platform.read-only,
        https://www.googleapis.com/auth/cloud-platform
  - selector: |-
      google.logging.v1.LoggingService.WriteLogEntries,
      google.logging.v1.MetricsService.CreateLogMetric,
      google.logging.v1.MetricsService.DeleteLogMetric,
      google.logging.v1.MetricsService.UpdateLogMetric,
      google.logging.v2.LoggingServiceV2.WriteLogEntries,
      google.logging.v2.MetricsServiceV2.CreateLogMetric,
      google.logging.v2.MetricsServiceV2.DeleteLogMetric,
      google.logging.v2.MetricsServiceV2.UpdateLogMetric
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/logging.write,
        https://www.googleapis.com/auth/logging.admin,
        https://www.googleapis.com/auth/cloud-platform
